## jome 1.3.0

=== CMakeLists.txt ===
# Copyright (C) 2019 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

cmake_minimum_required (VERSION 3.30.0 FATAL_ERROR)

# project and version
project (jome VERSION 1.3.0)

# configure compiler globally for C++14
set (CMAKE_CXX_EXTENSIONS OFF)
set (CMAKE_CXX_STANDARD 14)
set (CMAKE_CXX_STANDARD_REQUIRED ON)

# jome
add_subdirectory (assets)
add_subdirectory (man)
add_subdirectory (jome)
add_subdirectory (jome-ctl)

=== debian/changelog ===
jome (1.3.0-1) unstable; urgency=medium

  * [54c52ef] New upstream version 1.3.0
  * [822aa8b] Add 'Multi-Arch: foreign' to jome-data

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 23 Apr 2025 11:11:18 -0400

jome (1.2.1-3) unstable; urgency=medium

  * Source upload after NEW queue
  * [e67f42b] Dump standards to 4.7.2, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 15 Apr 2025 14:17:52 -0400

jome (1.2.1-2) unstable; urgency=medium

  * [c68713f] Add git-buildpackage config
  * [6add90a] Add Salsa-CI config
  * [0e40023] d/copyright: add twemoji license

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 15:08:24 -0400

jome (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1102489)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 09 Apr 2025 11:18:30 -0400

=== debian/control ===
Source: jome
Section: x11
Priority: optional
Maintainer: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.30.0~),
 libboost-dev (>= 1.70.0~),
 nlohmann-json3-dev,
 libfmt-dev,
 qtbase5-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/eepp/jome
Vcs-Git: https://salsa.debian.org/debian/jome.git
Vcs-Browser: https://salsa.debian.org/debian/jome

Package: jome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jome-data (= ${source:Version})
Description: keyboard centric emoji picker
 jome (joh·mee) is a keyboard centric emoji picker desktop application.
 .
 jome's purpose is to help you pick an emoji. In other words, it doesn't
 really care what you do with the chosen emoji afterwards: you can
 leverage tools such as xdotool(1) to "type" it or xsel(1) to copy it to
 the clipboard. See jome(1) for a starting point.
 .
 Features:
 .
  * Has all the emojis of up to Emoji 15.1.
  * Skin tone support and optional default skin tone option.
  * Keyboard centric, but you can pick an emoji with the mouse too.
  * Very fast search with multiple terms.
  * Emoji browsing with categories, name, Unicode codepoints, keywords.
  * Dark mode support.
  * Doesn't depend on any font to render; provides all its emoji images.
  * Can print the chosen UTF-8 emoji or the individual codepoints.
  * Can execute a command through the shell with the chosen emoji.
  * Server (background) mode to show the window instantly.
  * "Go to Emojipedia" function for the selected emoji.
  * User-defined emoji keywords in `~/.config/jome`.
  * Can remove VS-16 codepoints.

Package: jome-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: jome data files
 jome (joh·mee) is a keyboard centric emoji picker desktop application.
 .
 jome's purpose is to help you pick an emoji. In other words, it doesn't
 really care what you do with the chosen emoji afterwards: you can
 leverage tools such as xdotool(1) to "type" it or xsel(1) to copy it to
 the clipboard. See jome(1) for a starting point.
 .
 This package provides jome's architecture independent data files. Unless you
 have jome installed, you probably do not need this package.

## jome 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.30.0 FATAL_ERROR)
 
 # project and version
-project (jome VERSION 1.3.0)
+project (jome VERSION 1.4.1)
 
 # configure compiler globally for C++14
 set (CMAKE_CXX_EXTENSIONS OFF)

=== assets/CMakeLists.txt ===
# Copyright (C) 2019 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

install (
    FILES
        cats.json
        emojis-16.png
        emojis-24.png
        emojis-32.png
        emojis-40.png
        emojis-48.png
        emojis.json
        emojis-png-locations-16.json
        emojis-png-locations-24.json
        emojis-png-locations-32.json
        emojis-png-locations-40.json
        emojis-png-locations-48.json
        icon.png
        sel-16.png
        sel-24.png
        sel-32.png
        sel-40.png
        sel-48.png
        sel-dark-16.png
        sel-dark-24.png
        sel-dark-32.png
        sel-dark-40.png
        sel-dark-48.png
    DESTINATION
        share/jome/data
)

=== jome-ctl/CMakeLists.txt ===
# Copyright (C) 2019 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

# Qt5
set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)
find_package (Qt5Network CONFIG REQUIRED)

# jome-ctl program
add_executable (
    jome-ctl
    jome-ctl.cpp
    q-ctl-client.cpp
)
target_link_libraries (
    jome-ctl
    Qt5::Network
)
target_compile_definitions (
    jome-ctl PRIVATE
    "-DJOME_VERSION=\"${PROJECT_VERSION}\""
)
target_compile_options (
    jome-ctl PRIVATE
    -Wall -Wextra -Wno-deprecated-declarations
)
install (
    TARGETS jome-ctl
    RUNTIME DESTINATION bin
)

=== jome/CMakeLists.txt ===
# Copyright (C) 2019 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

# Qt 5
set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)
find_package (Qt5Widgets CONFIG REQUIRED)
find_package (Qt5Gui CONFIG REQUIRED)
find_package (Qt5Network CONFIG REQUIRED)

# Boost
find_package (Boost 1.70 REQUIRED)

# JSON for Modern C++
include (FetchContent)
FetchContent_Declare (
	nlohmann_json
	URL https://github.com/nlohmann/json/releases/download/v3.11.3/json.tar.xz
	FIND_PACKAGE_ARGS
)
FetchContent_MakeAvailable (nlohmann_json)

# {fmt}
set (FMT_INSTALL OFF)
FetchContent_Declare (
	fmt URL
	https://github.com/fmtlib/fmt/releases/download/11.1.4/fmt-11.1.4.zip
	FIND_PACKAGE_ARGS
)
FetchContent_MakeAvailable (fmt)

# jome program
add_executable (
    jome
    jome.cpp
    q-jome-window.cpp
    q-cat-list-widget-item.cpp
    q-emoji-graphics-item.cpp
    q-emoji-grid-widget.cpp
    q-jome-server.cpp
    emoji-images.cpp
    emoji-db.cpp
    settings.cpp
    emojipedia.cpp
)
target_link_libraries (
    jome
    Qt5::Widgets
    Qt5::Gui
    Qt5::Network
    Boost::boost
    nlohmann_json::nlohmann_json
    fmt::fmt
)
target_include_directories (
    jome PRIVATE
)
target_compile_definitions (
    jome PRIVATE
    "-DJOME_VERSION=\"${PROJECT_VERSION}\""
    "-DJOME_DATA_DIR=\"${CMAKE_INSTALL_PREFIX}/share/jome/data\""
)
target_compile_options (
    jome PRIVATE
    -Wall -Wextra -Wno-deprecated-declarations
)
install (
    TARGETS jome
    RUNTIME DESTINATION bin
)

=== man/CMakeLists.txt ===
# Copyright (C) 2025 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

install (
    FILES
        jome.1
        jome-ctl.1
    DESTINATION
        share/man/man1
)

=== debian/changelog ===
jome (1.4.1-1) unstable; urgency=medium

  * [ffec1b0] New upstream version 1.4.1
  * [3f19ac2] d/control: update description

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 11:16:25 -0400

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  .
  Features:
  .
-  * Has all the emojis of up to Emoji 15.1.
+  * Has all the emojis of up to Emoji 16.0.
   * Skin tone support and optional default skin tone option.
   * Keyboard centric, but you can pick an emoji with the mouse too.
   * Very fast search with multiple terms.

=== debian/watch ===
version=4
https://github.com/eepp/jome/tags .*/v?(\d.*)@ARCHIVE_EXT@
